> For the complete documentation index, see [llms.txt](https://docs.moxha.dev/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.moxha.dev/documentation/paid-scripts/surround-spatial-audio/api/client/get.md).

# Get

### Check Sound Is Exists

```lua
local soundExists = exports['mx-surround']:soundExists(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `boolean`

***

### Streamer Mode Is Enabled

```lua
local enabledStreamerMode = exports['mx-surround']:isStreamerModeEnabled()
```

#### Returns

* > `boolean`

***

### Get TimeStamp

```lua
local timeStamp = exports['mx-surround']:getTimeStamp(soundId)
```

{% hint style="warning" %}
If the nil or empty returns. It means the song is not loaded yet!
{% endhint %}

#### Parameters

* > **soundId:** `string`

#### Returns

* > `number | boolean | nil`
  >
  > * Returns sound' timestamp in seconds

***

### Get Type

```lua
local soundType = exports['mx-surround']:getSoundType(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `"stereo" | "spatial" | false`

***

### Get Link

```lua
local link = exports['mx-surround']:getLink(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `string | false`

***

### Get Coords

```lua
local coords = exports['mx-surround']:getCoords(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `vector3 | false`

***

### Is Looped

```lua
local looped = exports['mx-surround']:isLooped(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `boolean`

***

### Get Info

```lua
local info = exports['mx-surround']:getInfo(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `table | false`

***

### Get Max Duration

```lua
local maxDuration = exports['mx-surround']:getMaxDuration(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `number | false`
  >
  > * Returns sound' max duration in seconds

***

### Get Volume

```lua
local volume = exports['mx-surround']:getVolume(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `number | false`
  >
  > * If sound is the dynamic returns maxVolume or is not returns volume

***

### Check Is Playing

```lua
local playing = exports['mx-surround']:isPlaying(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `boolean`

***

### Check Is Dynamic

```lua
local dynamic = exports['mx-surround']:isDynamic(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `boolean`

***

### Check Is Stopped

```lua
local stopped = exports['mx-surround']:isStopped(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `boolean`

***

### Check Is Paused

```lua
local paused = exports['mx-surround']:isPaused(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `boolean`

***

### Get Panner

```lua
local panner = exports['mx-surround']:getPanner(soundId)
```

#### Parameters

* > **soundId:** `string`

#### Returns

* > `PannerNode | false`&#x20;

***

### Is Hearing Any Sound

```lua
local isHearing = exports['mx-surround']:hearingAnySound()
```

#### Returns

* > `boolean`

***

### Sound Is Loaded

```lua
local isLoaded = exports['mx-surround']:soundIsLoaded()
```

{% hint style="info" %}
This function waits until a song is created, if not loaded succesfully then returns false
{% endhint %}

#### Returns

* > `boolean`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.moxha.dev/documentation/paid-scripts/surround-spatial-audio/api/client/get.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
